Data Fields

# ConstructionSettings Struct Reference

Settings related to construction in-game. More...

`#include <settings_type.h>`

## Data Fields
bool | allow_more_heightlevels
| allow more than just 16 heightlevels
bool | build_on_slopes
| allow building on slopes
bool | autoslope
| allow terraforming under things
uint16 | max_bridge_length
| maximum length of bridges
uint16 | max_tunnel_length
| maximum length of tunnels
byte | max_chunnel_exit_length
| maximum distance from shore for tunnel exits
bool | signal_side
| show signals on right side
bool | extra_dynamite
| extra dynamite
bool | road_stop_on_town_road
| allow building of drive-through road stops on town owned roads
bool | road_stop_on_competitor_road
| allow building of drive-through road stops on roads owned by competitors
uint8 | raw_industry_construction
| type of (raw) industry construction (none, "normal", prospecting)
uint8 | industry_platform
| the amount of flat land around an industry
bool | freeform_edges
| allow terraforming the tiles at the map edges
uint8 | extra_tree_placement
| (dis)allow building extra trees in-game
uint8 | tree_placement_drag_limit
| how many tiles can be filled by trees at once by player?
uint8 | command_pause_level
| level/amount of commands that can't be executed while paused
uint32 | terraform_per_64k_frames
| how many tile heights may, over a long period, be terraformed per 65536 frames?
uint16 | terraform_frame_burst
| how many tile heights may, over a short period, be terraformed?
uint32 | clear_per_64k_frames
| how many tiles may, over a long period, be cleared per 65536 frames?
uint16 | clear_frame_burst
| how many tiles may, over a short period, be cleared?
byte | ingame_tree_line_height
| Allow building trees below this height ingame (Unrelated to the treeline when generation a map).
uint8 | tree_growth_rate
| tree growth rate
uint16 | maximum_signal_evaluations
| maximum number of programmable signals which may be evaluated in one pass
bool | traffic_lights
| Whether traffic lights are enabled.
bool | towns_build_traffic_lights
| Whether towns build traffic lights during road construction.
bool | allow_building_tls_in_towns
| Whether the players are allowed to build traffic lights on town owned roads.
uint8 | traffic_lights_green_phase
| How long traffic lights' green phase lasts.
uint8 | max_tlc_size
| Maximum size for traffic light consists.
uint8 | max_tlc_distance
| Maximum distance between traffic lights for synchronising them.
uint8 | extra_industry_placement_logic
| Maximum height below which we allow more then one heightlevel to be terraformed. (Needed for better industry placement with moreheightlevels enabled.).

## Detailed Description

Settings related to construction in-game.

Definition at line 249 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h